Module javafx.base
Package javafx.util

# Class Pair<K,​V>

java.lang.Object
javafx.util.Pair<K,​V>

All Implemented Interfaces:
  `Serializable`

    public class Pair<K,​V>
    extends Object
    implements Serializable

A convenience class to represent name-value pairs.

Since:
  JavaFX 2.0
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Pair​(K key, V value)` | Creates a new pair

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object o)` | Test this `Pair` for equality with another `Object`.
  `K` | `getKey()` | Gets the key for this pair.
  `V` | `getValue()` | Gets the value for this pair.
  `int` | `hashCode()` | Generate a hash code for this `Pair`.
  `String` | `toString()` | `String` representation of this `Pair`.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Pair

    public Pair​(K key, V value)
    Creates a new pair
    Parameters:
      `key` - The key for this pair
      `value` - The value to use for this pair

- ## Method Details

  - ### getKey

    public K getKey()
    Gets the key for this pair.
    Returns:
      key for this pair

  - ### getValue

    public V getValue()
    Gets the value for this pair.
    Returns:
      value for this pair

  - ### toString

    public String toString()

    `String` representation of this `Pair`.

    The default name/value delimiter '=' is always used.

    Overrides:
      `toString` in class `Object`
    Returns:
      `String` representation of this `Pair`

  - ### hashCode

    public int hashCode()

    Generate a hash code for this `Pair`.

    The hash code is calculated using both the name and the value of the `Pair`.

    Overrides:
      `hashCode` in class `Object`
    Returns:
      hash code for this `Pair`

  - ### equals

    public boolean equals​(Object o)

    Test this `Pair` for equality with another `Object`.

    If the `Object` to be tested is not a `Pair` or is `null`, then this method returns `false`.

    Two `Pair`s are considered equal if and only if both the names and values are equal.

    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - the `Object` to test for equality with this `Pair`
    Returns:
      `true` if the given `Object` is equal to this `Pair` else `false`